Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Probleme bei "emerge gnome"
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Mon Feb 02, 2015 6:47 pm    Post subject: Probleme bei "emerge gnome" Reply with quote

Hallo Mädels ... Jungs ...

bei dem Versuch einen Gnome zu installieren habe ich Probleme mit den Abhängigkeiten.

Mein Alien hat eine Intel und Nvidia Optimus Grafikkarten kombination. Nach den Beschreibungen habe ich im Wiki den xorg-server installiert und konfiguriert und dann wollte ich ebenso nach der Wiki Beschreibung den Gnome installieren.

Useflags = bindist mmx sse sse2 bluetooth udev X dbus gtk gnome

emerge gnome sagt dann:

Code:

These are the packages that would be merged, in order:

Calculating dependencies  ..... done!


[ebuild  N     ] gnome-base/gnome-3.12.0:2.0  USE="bluetooth cdr classic cups extras -accessibility" 0 KiB
[ebuild  N     ]  gnome-base/gnome-core-apps-3.12.0:3.0  USE="bluetooth cdr cups" 0 KiB
[ebuild  N     ]   x11-terms/gnome-terminal-3.12.3  USE="gnome-shell nautilus" 1.681 KiB
[ebuild  N     ]  gnome-extra/gnome-shell-extensions-3.12.2  USE="-examples" 207 KiB
[ebuild  N     ]   app-admin/eselect-gnome-shell-extensions-20120911  3 KiB
[ebuild  N     ]  gnome-base/gnome-extra-apps-3.12.0-r1:3.0  USE="games shotwell tracker" 0 KiB
[ebuild  N     ]   gnome-extra/gnome-tweak-tool-3.12.0  PYTHON_TARGETS="python2_7" 224 KiB
[nomerge       ] x11-terms/gnome-terminal-3.12.3  USE="gnome-shell nautilus"
[nomerge       ]  gnome-base/gnome-shell-3.12.2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[ebuild  N     ]   gnome-base/gnome-control-center-3.12.1-r1:2  USE="bluetooth colord cups gnome-online-accounts i18n -debug -kerberos -v4l" INPUT_DEVICES="-wacom" 6.706 KiB
[ebuild  N     ]    gnome-extra/nm-applet-0.9.10.0  USE="bluetooth introspection -gconf -modemmanager" 1.245 KiB
[ebuild  N     ]     virtual/notification-daemon-0  USE="gnome" 0 KiB
[ebuild  N     ]   gnome-base/gdm-3.12.2-r2  USE="branding introspection ipv6 systemd tcpd -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard {-test} -wayland -xinerama" 1.516 KiB
[ebuild  N     ]    gnome-base/gnome-shell-3.12.2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7" 1.505 KiB

Total: 12 packages (12 new), Size of downloads: 13.085 KiB

 * Error: circular dependencies:

(virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge) depends on
 (gnome-base/gnome-shell-3.12.2:0/0::gentoo, ebuild scheduled for merge) (runtime)
  (gnome-base/gnome-control-center-3.12.1-r1:2/2::gentoo, ebuild scheduled for merge) (runtime)
   (gnome-extra/nm-applet-0.9.10.0:0/0::gentoo, ebuild scheduled for merge) (buildtime)
    (virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge) (buildtime)

It might be possible to break this cycle
by applying the following change:
- virtual/notification-daemon-0 (Change USE: -gnome)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by net-voip/telepathy-gabble-0.18.3[-gnutls]
# required by net-im/telepathy-connection-managers-2-r2[-msn,xmpp]
# required by net-im/empathy-3.12.7
# required by gnome-base/gnome-core-apps-3.12.0
# required by gnome-base/gnome-3.12.0
# required by gnome (argument)
=dev-libs/openssl-1.0.1k -bindist
# required by sys-apps/systemd-216-r3
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by gnome-base/gnome-core-apps-3.12.0
# required by gnome-base/gnome-3.12.0
# required by gnome (argument)
=sys-apps/dbus-1.8.10 systemd
# required by gnome-base/gdm-3.12.2-r2
# required by gnome-base/gnome-shell-3.12.2
# required by gnome-extra/gnome-tweak-tool-3.12.0
# required by gnome-base/gnome-extra-apps-3.12.0-r1
# required by gnome-base/gnome-3.12.0[extras]
# required by gnome (argument)
=sys-auth/pambase-20120417-r3 systemd

 * IMPORTANT: 9 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Der meckert da das der notification-deamon von sich selbst abhängt. Was muss man denn da tun. Irgendwie tu ich mich noch schwer mit dem Interpretieren dieser Meldungen.

Grüße
Alexander
Back to top
View user's profile Send private message
__bjoern
n00b
n00b


Joined: 12 Oct 2014
Posts: 26

PostPosted: Mon Feb 02, 2015 7:07 pm    Post subject: Reply with quote

Hallo Alexander,

die interessanten Zeilen sind diese hier:

Code:

It might be possible to break this cycle
by applying the following change:
- virtual/notification-daemon-0 (Change USE: -gnome)


Versuch mal "virtual/notification-daemon-0 -gnome" in die /etc/portage/package.use zu schreiben und dann nochmal zu mergen.
Portage gibt dir bei Konflikten oft einen Hinweis, wie du diesen lösen kannst. Das Problem bei diesem Konflikt ist, dass der gnome notification daemon von gnome-shell abhängt und gnome-shell wiederum von gnome-control-center -> nm-applet -> notification-daemon .
Nachdem die Pakete erfolgreich installiert wurden, kannst du die genannte Zeile aus package.use entfernen und den notification-daemon neu mergen.

Gruss,
Björn
Back to top
View user's profile Send private message
dekoding
n00b
n00b


Joined: 26 Jan 2015
Posts: 34

PostPosted: Mon Feb 02, 2015 8:25 pm    Post subject: Re: Probleme bei "emerge gnome" Reply with quote

alexander_ro wrote:
Hallo Mädels ... Jungs ...

bei dem Versuch einen Gnome zu installieren habe ich Probleme mit den Abhängigkeiten.

Mein Alien hat eine Intel und Nvidia Optimus Grafikkarten kombination. Nach den Beschreibungen habe ich im Wiki den xorg-server installiert und konfiguriert und dann wollte ich ebenso nach der Wiki Beschreibung den Gnome installieren.

Useflags = bindist mmx sse sse2 bluetooth udev X dbus gtk gnome

emerge gnome sagt dann:

Code:

These are the packages that would be merged, in order:

Calculating dependencies  ..... done!


[ebuild  N     ] gnome-base/gnome-3.12.0:2.0  USE="bluetooth cdr classic cups extras -accessibility" 0 KiB
[ebuild  N     ]  gnome-base/gnome-core-apps-3.12.0:3.0  USE="bluetooth cdr cups" 0 KiB
[ebuild  N     ]   x11-terms/gnome-terminal-3.12.3  USE="gnome-shell nautilus" 1.681 KiB
[ebuild  N     ]  gnome-extra/gnome-shell-extensions-3.12.2  USE="-examples" 207 KiB
[ebuild  N     ]   app-admin/eselect-gnome-shell-extensions-20120911  3 KiB
[ebuild  N     ]  gnome-base/gnome-extra-apps-3.12.0-r1:3.0  USE="games shotwell tracker" 0 KiB
[ebuild  N     ]   gnome-extra/gnome-tweak-tool-3.12.0  PYTHON_TARGETS="python2_7" 224 KiB
[nomerge       ] x11-terms/gnome-terminal-3.12.3  USE="gnome-shell nautilus"
[nomerge       ]  gnome-base/gnome-shell-3.12.2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[ebuild  N     ]   gnome-base/gnome-control-center-3.12.1-r1:2  USE="bluetooth colord cups gnome-online-accounts i18n -debug -kerberos -v4l" INPUT_DEVICES="-wacom" 6.706 KiB
[ebuild  N     ]    gnome-extra/nm-applet-0.9.10.0  USE="bluetooth introspection -gconf -modemmanager" 1.245 KiB
[ebuild  N     ]     virtual/notification-daemon-0  USE="gnome" 0 KiB
[ebuild  N     ]   gnome-base/gdm-3.12.2-r2  USE="branding introspection ipv6 systemd tcpd -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard {-test} -wayland -xinerama" 1.516 KiB
[ebuild  N     ]    gnome-base/gnome-shell-3.12.2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7" 1.505 KiB

Total: 12 packages (12 new), Size of downloads: 13.085 KiB

 * Error: circular dependencies:

(virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge) depends on
 (gnome-base/gnome-shell-3.12.2:0/0::gentoo, ebuild scheduled for merge) (runtime)
  (gnome-base/gnome-control-center-3.12.1-r1:2/2::gentoo, ebuild scheduled for merge) (runtime)
   (gnome-extra/nm-applet-0.9.10.0:0/0::gentoo, ebuild scheduled for merge) (buildtime)
    (virtual/notification-daemon-0:0/0::gentoo, ebuild scheduled for merge) (buildtime)

It might be possible to break this cycle
by applying the following change:
- virtual/notification-daemon-0 (Change USE: -gnome)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by net-voip/telepathy-gabble-0.18.3[-gnutls]
# required by net-im/telepathy-connection-managers-2-r2[-msn,xmpp]
# required by net-im/empathy-3.12.7
# required by gnome-base/gnome-core-apps-3.12.0
# required by gnome-base/gnome-3.12.0
# required by gnome (argument)
=dev-libs/openssl-1.0.1k -bindist
# required by sys-apps/systemd-216-r3
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by gnome-base/gnome-core-apps-3.12.0
# required by gnome-base/gnome-3.12.0
# required by gnome (argument)
=sys-apps/dbus-1.8.10 systemd
# required by gnome-base/gdm-3.12.2-r2
# required by gnome-base/gnome-shell-3.12.2
# required by gnome-extra/gnome-tweak-tool-3.12.0
# required by gnome-base/gnome-extra-apps-3.12.0-r1
# required by gnome-base/gnome-3.12.0[extras]
# required by gnome (argument)
=sys-auth/pambase-20120417-r3 systemd

 * IMPORTANT: 9 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Der meckert da das der notification-deamon von sich selbst abhängt. Was muss man denn da tun. Irgendwie tu ich mich noch schwer mit dem Interpretieren dieser Meldungen.

Grüße
Alexander



huhu desweiteren versuch einmal
Code:
emerge --ask --autounmask-write gnome-base/gnome


und danach dispatch-conf danach werden dir die zusetzlichen sachen -> The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details) <- aufgelistet und mit der taste U bestätigst du es.

und wegen dem virtual/notification-daemon-0 (Change USE: -gnome)

kannst du versuchen mit emerge --update --newuse --deep @world es villeicht auch hinzu fügen.
_________________
habt nach sicht ich leide unter starke legastheni.
Back to top
View user's profile Send private message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Mon Feb 02, 2015 10:23 pm    Post subject: Reply with quote

__bjoern wrote:

Versuch mal "virtual/notification-daemon-0 -gnome"

Das funktioniert nur wenn man das -0 weg macht. Sonst bekommt man die Meldung "invalid atom".

Geht der Gnome eigentlich auch ohne den systemd?
Den will ich ja nicht haben der wird da aber doch als Abhängigkeit angezeigt.
Back to top
View user's profile Send private message
py-ro
Veteran
Veteran


Joined: 24 Sep 2002
Posts: 1733
Location: St. Wendel

PostPosted: Mon Feb 02, 2015 10:28 pm    Post subject: Reply with quote

Kurze Antwort nein, lange Antwort, mit ganz viel Bastelei wohl. Im Englischen Forum findet sich einiges dazu.

Bye
Py
Back to top
View user's profile Send private message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Mon Feb 02, 2015 10:54 pm    Post subject: Reply with quote

Hmpf ... na dann halt kein Gnome mehr ...
Back to top
View user's profile Send private message
__bjoern
n00b
n00b


Joined: 12 Oct 2014
Posts: 26

PostPosted: Tue Feb 03, 2015 7:27 am    Post subject: Reply with quote

Du kannst dir ja mal Cinnamon anschauen, das ist ein Fork von GNOME 3 welcher sich zum Ziel gesetzt hat ein klassisches Desktop-Interface zu bieten und ohne systemd auskommt.
Back to top
View user's profile Send private message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Tue Feb 03, 2015 7:40 am    Post subject: Reply with quote

Das ist eine gute Idee an den hab ich vorher leider nicht gedacht. Ich habe mal den xfce4 installiert. Aber der lässt sich irgendwie nicht starten weil er die Module nouveau, nv, modesetting, fbdev, vesa nicht findet. Die Module für die Intel Grafikkarte findet er das scheint dem nicht zu reichen.

[Edit]
Nun geht er doch. Mit startx will der nicht aber mit startxfce4.

Immerhin schon mal wieder was Buntes ... :) jetzt kann ich ja mal ausprobieren wie andere funktionieren.
[/Edit]
Back to top
View user's profile Send private message
__bjoern
n00b
n00b


Joined: 12 Oct 2014
Posts: 26

PostPosted: Tue Feb 03, 2015 7:50 am    Post subject: Reply with quote

Versuch mal
Code:

XSESSION="startxfce4" startx

Das sollte auch funktionieren.
Back to top
View user's profile Send private message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Tue Feb 03, 2015 7:59 am    Post subject: Reply with quote

Ich habe das in die ~/xinitrc eingetragen dann geht es auch mit startx.

Code:

exec startxfce4


Die Einstellungen für Tastatur hat X eigene oder?
Weil die auf der Konsole passen aber im xterm eine Englische ist.
Back to top
View user's profile Send private message
__bjoern
n00b
n00b


Joined: 12 Oct 2014
Posts: 26

PostPosted: Tue Feb 03, 2015 8:05 am    Post subject: Reply with quote

Ja, im X Server musst du dein Tastaturlayout separat einstellen.
Dieser Code sollte es tun:
Code:

Section "InputClass"
  Identifier "system-keyboard"
  MatchIsKeyboard "on"
  Option "XkbLayout" "de"
EndSection
Back to top
View user's profile Send private message
dekoding
n00b
n00b


Joined: 26 Jan 2015
Posts: 34

PostPosted: Tue Feb 03, 2015 11:25 am    Post subject: Reply with quote

oder du gibst bei /etc/conf.d/keymaps

keymap="us" -> keymap="de" ein und dann ist es dort auch in deutsch

ich verwende kein xorg einstellungen
_________________
habt nach sicht ich leide unter starke legastheni.
Back to top
View user's profile Send private message
alexander_ro
Apprentice
Apprentice


Joined: 22 Nov 2014
Posts: 171

PostPosted: Tue Feb 03, 2015 11:32 am    Post subject: Reply with quote

Ich habe das so eingestellt:

Code:

keymap="de-latin1"


das gilt aber scheinbar nicht für X11.
Back to top
View user's profile Send private message
__bjoern
n00b
n00b


Joined: 12 Oct 2014
Posts: 26

PostPosted: Tue Feb 03, 2015 11:39 am    Post subject: Reply with quote

Ne, nur für virtuelle Terminals. Der X-Server hat eigenes Tastatur-Handling.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum